Main Page Widgets Namespaces Book

# component.h File Reference

## Namespaces

namespace | Atk
namespace | Glib

## Classes

class | Atk::Component
| The ATK interface provided by UI components which occupy a physical area on the screen. More...

## Enumerations

enum | CoordType { XY_SCREEN, XY_WINDOW }
enum | Layer { LAYER_INVALID, LAYER_BACKGROUND, LAYER_CANVAS, LAYER_WIDGET, LAYER_MDI, LAYER_POPUP, LAYER_OVERLAY, LAYER_WINDOW }